import {postAction,postFormAction,downFilePost} from '@/api/manage'
const prefix = '/manager/ciop';

// 宽带产品
let productList = (params) => postAction(prefix + "/product/list" , params);
let productDelete = (id) => postAction(prefix + "/product/delete/"+id);
let productInsert = (params) => postAction(prefix + "/product/insert" , params);
let productUpdate = (params) => postAction(prefix + "/product/update",params);
//适用学校
let universitySchool = (params) => postAction(prefix + "/university/universitySchool",params);

//大学宽带信息
let universityList = (params) => postAction(prefix + "/university/list" , params);
let universityDelete = (id) => postAction(prefix + "/university/delete/"+id);
let universityInsert = (params) => postAction(prefix + "/university/insert" , params);
let universityUpdate = (params) => postAction(prefix + "/university/update",params);
let universityBroadbandConfigList = (params) => postAction(prefix + "/university/broadbandConfigList" , params);
let universityBroadbandConfigData = (params) => postAction(prefix + "/university/broadbandConfigData" , params);
let saveBroadBandConfig = (params) => postFormAction(prefix + "/university/saveBroadBandConfig" , params);

//宽带订单
let orderViewList = (params) => postAction(prefix + "/orderView/list" , params);
let download = (params) => downFilePost(prefix + "/orderView/download/" , params);

export {
    productList,
    productDelete,
    productInsert,
    productUpdate,
    universityList,
    universityDelete,
    universityInsert,
    universityUpdate,
    orderViewList,
    download,
    universitySchool,
    universityBroadbandConfigList,
    universityBroadbandConfigData,
    saveBroadBandConfig
}
